{
  "documentation": "A user info which is part of a team.",
  "fields": [
    {
      "documentation": "uid at user of this user.",
      "name": "uid",
      "type": "Integer",
      "nullable": false,
      "index": true
    },
    {
      "documentation": "user_name of this user.",
      "name": "user_name",
      "type": "String",
      "nullable": false,
      "index": true
    },
    {
      "documentation": "update time of this user.",
      "name": "update_time",
      "type": "Long",
      "nullable": false
    },
    {
      "documentation": "phone of this user.",
      "name": "phone",
      "type": "String",
      "nullable": true
    },
    {
      "documentation": "nickname of this user.",
      "name": "nickname",
      "type": "String",
      "nullable": true
    },
    {
      "documentation": "user_icon of this user.",
      "name": "user_icon",
      "type": "String",
      "nullable": true
    },
    {
      "documentation": "avatar of this user.",
      "name": "avatar",
      "type": "String",
      "nullable": true
    },
    {
      "documentation": "open_id of this user.",
      "name": "open_id",
      "type": "String",
      "nullable": true
    },
    {
      "documentation": "mail of this user.",
      "name": "mail",
      "type": "String",
      "nullable": true
    },
    {
      "documentation": "refresh_token of this user.",
      "name": "refresh_token",
      "type": "String",
      "nullable": true
    }
  ],
  "constraints": [
    {
      "name": "unique_user",
      "definition": "UNIQUE (user_name) ON CONFLICT REPLACE"
    }
  ],
  "defaultOrder": "user_name DESC"
}